# Uses of Class
org.bukkit.GameEvent

Packages that use GameEvent
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.world
`Events` triggered by various `world` states or changes.

## Uses of GameEvent in org.bukkit

Fields in org.bukkit declared as GameEvent
Modifier and Type
Field
Description
`static final GameEvent`
GameEvent.`BLOCK_ACTIVATE`
`static final GameEvent`
GameEvent.`BLOCK_ATTACH`
`static final GameEvent`
GameEvent.`BLOCK_CHANGE`
`static final GameEvent`
GameEvent.`BLOCK_CLOSE`
`static final GameEvent`
GameEvent.`BLOCK_DEACTIVATE`
`static final GameEvent`
GameEvent.`BLOCK_DESTROY`
`static final GameEvent`
GameEvent.`BLOCK_DETACH`
`static final GameEvent`
GameEvent.`BLOCK_OPEN`
`static final GameEvent`
GameEvent.`BLOCK_PLACE`
`static final GameEvent`
GameEvent.`BLOCK_PRESS`
Deprecated.
`static final GameEvent`
GameEvent.`BLOCK_SWITCH`
Deprecated.
`static final GameEvent`
GameEvent.`BLOCK_UNPRESS`
Deprecated.
`static final GameEvent`
GameEvent.`BLOCK_UNSWITCH`
Deprecated.
`static final GameEvent`
GameEvent.`CONTAINER_CLOSE`
`static final GameEvent`
GameEvent.`CONTAINER_OPEN`
`static final GameEvent`
GameEvent.`DISPENSE_FAIL`
`static final GameEvent`
GameEvent.`DRINK`
`static final GameEvent`
GameEvent.`DRINKING_FINISH`
Deprecated.
`static final GameEvent`
GameEvent.`EAT`
`static final GameEvent`
GameEvent.`ELYTRA_FREE_FALL`
Deprecated.
`static final GameEvent`
GameEvent.`ELYTRA_GLIDE`
`static final GameEvent`
GameEvent.`ENTITY_DAMAGE`
`static final GameEvent`
GameEvent.`ENTITY_DAMAGED`
Deprecated.
`static final GameEvent`
GameEvent.`ENTITY_DIE`
`static final GameEvent`
GameEvent.`ENTITY_DYING`
Deprecated.
`static final GameEvent`
GameEvent.`ENTITY_INTERACT`
`static final GameEvent`
GameEvent.`ENTITY_KILLED`
Deprecated.
`static final GameEvent`
GameEvent.`ENTITY_PLACE`
`static final GameEvent`
GameEvent.`ENTITY_ROAR`
`static final GameEvent`
GameEvent.`ENTITY_SHAKE`
`static final GameEvent`
GameEvent.`EQUIP`
`static final GameEvent`
GameEvent.`EXPLODE`
`static final GameEvent`
GameEvent.`FLAP`
`static final GameEvent`
GameEvent.`FLUID_PICKUP`
`static final GameEvent`
GameEvent.`FLUID_PLACE`
`static final GameEvent`
GameEvent.`HIT_GROUND`
`static final GameEvent`
GameEvent.`INSTRUMENT_PLAY`
`static final GameEvent`
GameEvent.`ITEM_INTERACT_FINISH`
`static final GameEvent`
GameEvent.`ITEM_INTERACT_START`
`static final GameEvent`
GameEvent.`JUKEBOX_PLAY`
`static final GameEvent`
GameEvent.`JUKEBOX_STOP_PLAY`
`static final GameEvent`
GameEvent.`LIGHTNING_STRIKE`
`static final GameEvent`
GameEvent.`MOB_INTERACT`
Deprecated.
`static final GameEvent`
GameEvent.`NOTE_BLOCK_PLAY`
`static final GameEvent`
GameEvent.`PISTON_CONTRACT`
`static final GameEvent`
GameEvent.`PISTON_EXTEND`
`static final GameEvent`
GameEvent.`PRIME_FUSE`
`static final GameEvent`
GameEvent.`PROJECTILE_LAND`
`static final GameEvent`
GameEvent.`PROJECTILE_SHOOT`
`static final GameEvent`
GameEvent.`RAVAGER_ROAR`
Deprecated.
`static final GameEvent`
GameEvent.`RING_BELL`
Deprecated.
`static final GameEvent`
GameEvent.`SCULK_SENSOR_TENDRILS_CLICKING`
`static final GameEvent`
GameEvent.`SHEAR`
`static final GameEvent`
GameEvent.`SHRIEK`
`static final GameEvent`
GameEvent.`SHULKER_CLOSE`
Deprecated.
`static final GameEvent`
GameEvent.`SHULKER_OPEN`
Deprecated.
`static final GameEvent`
GameEvent.`SPLASH`
`static final GameEvent`
GameEvent.`STEP`
`static final GameEvent`
GameEvent.`SWIM`
`static final GameEvent`
GameEvent.`TELEPORT`
`static final GameEvent`
GameEvent.`WOLF_SHAKING`
Deprecated.
Fields in org.bukkit with type parameters of type GameEvent
Modifier and Type
Field
Description
`static final Registry<GameEvent>`
Registry.`GAME_EVENT`
Game events.
`static final Tag<GameEvent>`
Tag.`GAME_EVENT_IGNORE_VIBRATIONS_SNEAKING`
Tag for game events that are ignored if the entity is sneaking
`static final Tag<GameEvent>`
Tag.`GAME_EVENT_VIBRATIONS`
Tag for game events that trigger sculk sensors
Methods in org.bukkit that return GameEvent
Modifier and Type
Method
Description
`static @Nullable GameEvent`
GameEvent.`getByKey(@NotNull NamespacedKey namespacedKey)`
Returns a `GameEvent` by a `NamespacedKey`.
Methods in org.bukkit that return types with arguments of type GameEvent
Modifier and Type
Method
Description
`static @NotNull Collection<GameEvent>`
GameEvent.`values()`
Returns the set of all GameEvents.
Methods in org.bukkit with parameters of type GameEvent
Modifier and Type
Method
Description
`void`
World.`sendGameEvent(@Nullable Entity sourceEntity, @NotNull GameEvent gameEvent, @NotNull Vector position)`
Posts a specified game event at a location

## Uses of GameEvent in org.bukkit.event.block

Methods in org.bukkit.event.block that return GameEvent
Modifier and Type
Method
Description
`@NotNull GameEvent`
BlockReceiveGameEvent.`getEvent()`
Get the underlying event.
Constructors in org.bukkit.event.block with parameters of type GameEvent
Modifier
Constructor
Description
``
`BlockReceiveGameEvent(@NotNull GameEvent event, @NotNull Block block, @Nullable Entity entity)`

## Uses of GameEvent in org.bukkit.event.world

Methods in org.bukkit.event.world that return GameEvent
Modifier and Type
Method
Description
`@NotNull GameEvent`
GenericGameEvent.`getEvent()`
Get the underlying event.
Constructors in org.bukkit.event.world with parameters of type GameEvent
Modifier
Constructor
Description
``
`GenericGameEvent(@NotNull GameEvent event, @NotNull Location location, @Nullable Entity entity, int radius, boolean isAsync)`